Skip to main content
GET
/
2025-06-09
/
wallets
/
{walletLocator}
/
tokens
/
{tokenLocator}
/
transfers
/
{transactionId}
Get Transfer Transaction
curl --request GET \
  --url https://staging.crossmint.com/api/2025-06-09/wallets/{walletLocator}/tokens/{tokenLocator}/transfers/{transactionId} \
  --header 'X-API-KEY: <x-api-key>'
{
  "params": {
    "calls": [
      {
        "address": "<string>",
        "functionName": "<string>",
        "abi": [
          "<unknown>"
        ],
        "args": [
          "<unknown>"
        ],
        "value": "0"
      }
    ],
    "chain": "<unknown>",
    "signer": {
      "address": "<string>",
      "locator": "<string>"
    }
  },
  "onChain": {
    "userOperation": {
      "sender": "<string>",
      "nonce": "<string>",
      "callData": "<string>",
      "callGasLimit": "<string>",
      "verificationGasLimit": "<string>",
      "preVerificationGas": "<string>",
      "maxFeePerGas": "<string>",
      "maxPriorityFeePerGas": "<string>",
      "signature": "<string>",
      "paymaster": "<string>",
      "paymasterVerificationGasLimit": "<string>",
      "paymasterData": "<string>",
      "paymasterPostOpGasLimit": "<string>",
      "factory": "<string>",
      "factoryData": "<string>"
    },
    "userOperationHash": "<string>",
    "txId": "<string>",
    "proxiedTxId": "<string>",
    "explorerLink": "<string>"
  },
  "id": "<string>",
  "createdAt": 123,
  "approvals": {
    "pending": [
      {
        "signer": {
          "address": "<string>",
          "locator": "<string>"
        },
        "message": "<string>"
      }
    ],
    "submitted": [
      {
        "signature": "<string>",
        "submittedAt": 123,
        "signer": {
          "address": "<string>",
          "locator": "<string>"
        },
        "message": "<string>",
        "metadata": {
          "deviceInfo": "<string>",
          "ipAddress": "<string>",
          "userAgent": "<string>"
        }
      }
    ],
    "required": 123
  },
  "completedAt": 123,
  "error": {
    "message": "<string>",
    "revertData": {}
  },
  "sendParams": {
    "token": "<string>",
    "params": {
      "recipient": "<string>",
      "recipientAddress": "<string>",
      "amount": "<string>"
    }
  },
  "fees": {
    "estimate": "<unknown>",
    "actual": "<unknown>",
    "billed": {
      "usd": 123
    },
    "billing": {}
  }
}

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<chainType>[:<walletType>][:alias:<alias>] (walletType defaults to 'smart')
  • userId:<userId>:<chainType>[:<walletType>][:alias:<alias>] (white label user example)
  • phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]
  • twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • x:<handle>:<chainType>[:<walletType>][:alias:<alias>]
  • me:<chainType>[:<walletType>][:alias:<alias>] (Use when calling from the client side with a client API key)
  • chainType[:<walletType>]:alias:<alias>
tokenLocator
string
required

A token locator that supports native tokens, fungible tokens, and NFTs across different chains. It can be of the format:

  • chain:address[:tokenId]
  • chain:currency
  • chain:address
transactionId
string
required

Response

The transfer transaction has been successfully retrieved.

The signer registration transaction the wallet admin must sign and submit to add (on create) or revoke (on delete) the card's delegated signer on-chain.

chainType
enum<string>
required

The blockchain type of the wallet

Available options:
evm,
solana,
aptos,
sui,
stellar
walletType
enum<string>
required

The wallet type (smart or mpc)

Available options:
smart,
mpc
params
object
required
onChain
object
required

EVM smart wallet transaction data including input parameters and chain specific details

id
string
required

Unique identifier for the transaction

status
enum<string>
required

Current status of the transaction

Available options:
awaiting-approval,
pending,
failed,
success
createdAt
required

ISO timestamp when the signature was created

approvals
object

Complete approval data including requirements, pending and submitted signatures

completedAt

ISO timestamp when the transaction reached finality

error
object

Error message if the transaction fails after submission

sendParams
object
fees
object

Transaction fee information including actual transaction fees, billed amounts, and billing status